Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries.toolchain
[Java] Interface Gcc

    org.gradle.nativebinaries.toolchain.PlatformConfigurableToolChain
      org.gradle.nativebinaries.ToolChain
          org.gradle.api.Named
              org.gradle.nativebinaries.toolchain.Gcc

All Superinterfaces:
  PlatformConfigurableToolChain, ToolChain, Named

    @Incubating
    public interface Gcc
    extends PlatformConfigurableToolChain

The GNU GCC tool chain.

Method Summary
`GccTool` | `getAssembler()` The assembler.
`GccTool` | `getCCompiler()` The C++ compiler.
`GccTool` | `getCppCompiler()` The C compiler.
`GccTool` | `getLinker()` The linker.
`List` | `getPath()` The paths setting required for executing the tool chain.
`GccTool` | `getStaticLibArchiver()` The static library archiver.
`void` | `path(Object... pathEntries)` Append an entry or entries to the tool chain path.

Methods inherited from interface PlatformConfigurableToolChain
addPlatformConfiguration

Methods inherited from interface Named
getName

Method Detail

### getAssembler

    public GccTool getAssembler()

  The assembler.

### getCCompiler

    public GccTool getCCompiler()

  The C++ compiler.

### getCppCompiler

    public GccTool getCppCompiler()

  The C compiler.

### getLinker

    public GccTool getLinker()

  The linker.

### getPath

    public List getPath()

  The paths setting required for executing the tool chain. These are used to locate tools for this tool chain, and are prepended to the system PATH when executing these tools.

### getStaticLibArchiver

    public GccTool getStaticLibArchiver()

  The static library archiver.

### path

    public void path(Object... pathEntries)

  Append an entry or entries to the tool chain path.
  Parameters:
    `pathEntries` - The path values to append. These are evaluated as per Project.files

Gradle API 1.10